PID_ALIVE(9)

NAME
pid_alive - check that a task structure is not stale

SYNOPSIS

int pid_alive (struct task_struct * p);

ARGUMENTS

p   Task structure to be checked.

DESCRIPTION

Test if a process is not yet dead (at most zombie state) If pid_alive fails, then pointers within the task structure can be stale and must not be dereferenced.